# (c) 2002. V.N.Vlasov
# Put the resources under <.. src=""..> right here 
# first version deal with relative pathes only.
# The "CP" command line application (like in CygWin) must be
# installed!

sub src_parser
# To parse src and others filename and
# convert corresponding relative URLs.
# syntax $file_str = src_parser($file_str);
{
  my($str) = $_[0];
  $str =~ s#(src *= *\")([^"]+)\"#$1.src_getter($2).'"'#gise;
  $str =~ s#(background=\")([^"]+)\"#$1.src_getter($2).'"'#gise;
  $str =~ s#(<link +rel=\"stylesheet\" +href=\")([^"]+)\"#$1.src_getter($2).'"'#gise;
  $str =~ s#(<link +rel=\"shortcut icon\" +href=\")([^"]+)\"#$1.src_getter($2).'"'#gise;
  return $str;
};

sub src_getter
# To copy files from relative up and own directories
# into the current one.
# Sub returns the simple file name
{
  my($str) = $_[0];
  my($fname) = fnameseek($str);
  if ($fname)
  {
    system ("cp $str $fname") unless (-e $fname);
    return $fname;      
  }
  else
  {
    return $str
  };
};

sub fnameseek
# To find file name in the records like:
# ../../file.htm
# dir1/dir2/file3.html
{
  my($str) = $_[0];
  if($str =~ m{/([^/]+)$})
  {
    print "\n src: $1";
    return $1;
  }
  else {return 0} # if no dirs like ../../
};
